Subject: Re: [PATCH v5 1/2] branch: accept multiple upstream branches for tracking

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 10 Dec 2021 02:00:36 +0100

On Thu, Dec 09 2021, Josh Steadmon wrote:

> On 2021.12.07 09:57, Ævar Arnfjörð Bjarmason wrote:
>> 
>> On Mon, Dec 06 2021, Josh Steadmon wrote:
>> ...in English you've got one dog, then dogs, so == 1 and >1, but in
>> various other languages it's:
>> 
>>     git grep Plural-Forms -- po
>> 
>> Anyway, this is easily solved, and even with less verbosity, see:
>> 
>>     git grep -E -W '\bQ_\('
>> 
>> For examples of how to use the magic of libintl to do this for you.
>
> Thank you for the pointer. I looked specifically for dealing with plural
> forms in our docs, but the referenced "Preparing Strings" gettext docs
> were not helpful for this. (Although I see now I should have read
> further in po/README.md to find the relevant advice).  I may send a
> separate change to po/README.md to make it easier to find in the future.

Thanks, that would be really helpful.

>> > +	string_list_append(&remotes, remote);
>> > +	return install_branch_config_multiple_remotes(flag, local, origin, &remotes);
>> > +	string_list_clear(&remotes, 0);
>> > +}
>> > +
>> >  /*
>> >   * This is called when new_ref is branched off of orig_ref, and tries
>> >   * to infer the settings for branch.<new_ref>.{remote,merge} from the
>> 
>
>
> Thanks for the review!

Happy to help, cheers!